<?php

session_start();

include_once dirname(__FILE__) . '/../main.php';

$paras = query_paras();
$username = $paras["username"];
$password = $paras["password"];


if ($username == "admin" && $password == "123456") {
    // 同时写入cookie和session，用作后续前后端身份验证判定
    setcookie("account", $username, time() + 3600, "/");
    $_SESSION["account"] = $username;
    // 如果账号密码都正确，重定向浏览器到登录页面
    header("Location:" . getPageUrl("index"));
    // 确保重定向后，后续代码不会被执行 
    exit;
} else {
    // 否则认为是非法请求
    header("Location:" . getPageUrl("err"));
    // 确保重定向后，后续代码不会被执行 
    exit;
}

